# define installer name
outFile "sgc-install.exe"
 
# set desktop as install directory
installDir C:\sgc
 
# default section start
section

# define output path
setOutPath $INSTDIR
 
# specify file to go in output path
file sgc.exe
file *.dll
file sgc.glade
file /r SGC_ToneProt
file /r pinyin
file /r records
file /r PitchTiers
file /r etc
file /r lib
file /r wordlists
file /r distfiles
file /r locale
file installer.nsi
file sgc.png
file sgc.bat

createShortCut "$SMPROGRAMS\Speak Good Chinese.lnk" "$INSTDIR\sgc.bat"

# define uninstaller name
writeUninstaller $INSTDIR\uninstaller.exe
 
# default section end
sectionEnd
 
# create a section to define what the uninstaller does.
# the section will always be named "Uninstall"
section "Uninstall"
 
# Always delete uninstaller first
delete $INSTDIR\uninstaller.exe
 
# now delete installed file
delete "$SMPROGRAMS\Speak Good Chinese.lnk"
delete $INSTDIR\sgc.exe
delete $INSTDIR\sgc.png
delete $INSTDIR\sgc.bat
delete $INSTDIR\*.dll
delete $INSTDIR\sgc.glade
delete $INSTDIR\SGC_ToneProt
delete $INSTDIR\records
delete $INSTDIR\pinyin
delete $INSTDIR\PitchTiers
delete $INSTDIR\etc
delete $INSTDIR\lib
delete $INSTDIR\etc
delete $INSTDIR\wordlists
delete $INSTDIR\distfiles
delete $INSTDIR\locale

sectionEnd
